Summary: Minesweeper game
Name: xdemineur
Version: 1.1
Release: 7
Group: X11/Games/Strategy
Source: ftp://ftp.x.org/contrib/games/xdemineur-1.1.tar.gz
Copyright: MIT
BuildRoot: /tmp/xdemineur-root

%changelog

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
This is a game of intense concentration, where you must successfully
determine the locations of mines through logic and deduction.

%prep
%setup -n xdemineur

%build
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc/X11/wmconfig,usr/X11R6/{bin,man/man1}}
make install DESTDIR=$RPM_BUILD_ROOT
make install.man DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/X11R6/bin/* || :
gzip -9 $RPM_BUILD_ROOT/usr/X11R6/man/man?/*

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xdemineur <<EOF
xdemineur name "xdemineur"
xdemineur description "Minesweeper"
xdemineur group Games/Strategy
xdemineur exec "xdemineur &"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/xdemineur
/usr/X11R6/man/man1/xdemineur.1x.gz
%config /etc/X11/wmconfig/xdemineur
